EDIT - bug #7075

Excel import for images
11/11/2017 10:16 PM - Andreas Miller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.45

Severity: major Found in Version:

Description

This is urgently needed for Flora of Greece, but should be written in a way that it can be used through the TaxEditor.

Fields should be:

e taxonUUID

e name/nameTitle/taxonTitle for name validation
url_sizeXX

e description

¢ date (read from file where possible?)
e artist

e copyright

Related issues:

Related to EDIT - task #6137: Urgent imports In Progress
Related to EDIT - task #6286: Import Flora Hellenica Resolved
Related to EDIT - task #6252: Implement image import for salvador Closed

Associated revisions

Revision 8c9dd5d8 - 11/11/2017 10:18 PM - Andreas Miiller
ref #7075 add slash dates to TimePeriodParser

Revision 9181f0ae - 11/11/2017 10:21 PM - Andreas Miiller

ref #7075 first running version for ImageExcellmport

Revision da0260d4 - 11/11/2017 10:24 PM - Andreas Muller

ref #7075 activator for Greece image import and cleanup old Greek images

Revision eabf0e1d - 08/24/2018 11:13 AM - Andreas Miiller
ref #7075 fix bugs in MediaExcellmport

Revision b20994d5 - 05/08/2020 12:52 PM - Andreas Muller

ref #7075 improve language handling and clean up for MediaExcellmport

Revision 1a53e0b8 - 05/08/2020 01:01 PM - Andreas Miiller

ref #7075 improve language handling Flora of Greece image import

History

#1 - 12/05/2017 02:02 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#2 - 01/31/2018 12:16 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#3 - 02/15/2018 02:53 PM - Andreas Miller

- Target version changed from Release 4.14 to Release 5.0
#4 - 05/14/2018 11:17 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#5 - 06/27/2018 02:27 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#6 - 08/17/2018 03:44 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#7 - 09/06/2018 09:57 AM - Andreas Miiller

- Target version changed from Release 5.3 to Release 5.4

#8 - 10/23/2018 11:27 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#9 - 02/14/2019 10:24 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#10 - 02/19/2019 05:29 PM - Andreas Miiller
- Priority changed from New to Highest

- Target version changed from Release 5.6 to Reviewed Next Major Release

#11 - 05/12/2019 07:19 AM - Andreas Muller

- Status changed from New to In Progress

#12 - 05/12/2019 07:20 AM - Andreas Miiller
- Related to task #6137: Urgent imports added

#13 - 05/12/2019 07:20 AM - Andreas Miiller
- Related to task #6286: Import Flora Hellenica added

#15 - 07/02/2021 11:35 PM - Andreas Miiller

- Target version changed from Reviewed Next Major Release to Release 5.45

Generally this is ready and can be closed, but we need a follow up ticket for further generic implementation for image imports using the excel import
framework that needs to be developed and being available within the TaxEditor.

#16 - 07/02/2021 11:36 PM - Andreas Miiller

Also check the import mentioned in #516 for open issues (ticket was closed as it is kind of duplicate for this ticket)

#17 - 07/02/2021 11:37 PM - Andreas Miiller
- Related to task #6252: Implement image import for salvador added
